<?php

namespace Guru\Offer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OfferItemTransformer extends TransformerAbstract
{
    public function transform(\Guru\Offer\Models\Offer $offer)
    {
        return [
            'id'                => $offer->getRouteKey(),
            'name'              => $offer->name,
            'content'           => $offer->content,
            'url'               => $offer->url,
            'category_id'       => $offer->category_id,
        ];
    }
}